import { createSignal, getOwner, mergeProps, runWithOwner, Show } from 'solid-js';
import { createIntersectionObserver } from '@solid-primitives/intersection-observer';
export const GeneralObserver = (props) => {
    const props_ = mergeProps({ height: 0 }, props);
    const owner = getOwner();
    let observerReference;
    const [isVisible, setVisible] = createSignal(false);
    createIntersectionObserver(() => [observerReference], ([entry]) => entry.intersectionRatio > 0 &&
        setVisible(true) &&
        owner &&
        runWithOwner(owner, () => props.onEnter?.()), {
        root: undefined,
        rootMargin: '400px',
        threshold: 0,
    });
    return (<div ref={observerReference} class={`observer-solid-social`}>
      <Show when={isVisible()} fallback={<div class="placeholder-solid-social" style={{
                width: '100%',
                ...(props_.height && { height: `${props_.height}px` }),
            }}/>}>
        {props_.children}
      </Show>
    </div>);
};
