import type { Component } from 'solid-js';
export declare type TwitchProps = {
    /** Domain(s) that will be embedding Twitch. You must have one parent key for each domain your site uses. */
    parent: string;
    /** Twitch id */
    twitchId?: string;
    /** Skip to a time in the video */
    skipTo?: {
        h?: number;
        m: number;
        s: number;
    };
    /** Auto play the video */
    autoPlay?: boolean;
    /** Name of the channel, for a live stream */
    channel?: string;
    /** Collection ID, for a collection of videos */
    collection?: string;
};
export declare const Twitch: Component<TwitchProps>;
